Bug 1534894 - apb preprare -f fail with error
Summary: apb preprare -f fail with error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Broker
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.9.0
Assignee: Dylan Murray
QA Contact: Zihan Tang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-16 08:53 UTC by Zihan Tang
Modified: 2018-06-27 18:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-06-27 18:01:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2013 None None None 2018-06-27 18:01:53 UTC

Description Zihan Tang 2018-01-16 08:53:00 UTC
Description of problem:
openshift v3.9.0-0.19.0
kubernetes v1.9.0-beta1
asb : 1.14
apb : docker.io/ansibleplaybookbundle/apb-tools  (image id : 7dfacf2bca7a)

When run command : 
apb prepare -f Dockerfile-latest 
Got the following error: 
Exception occurred! [Errno 2] No such file or directory: '/mnt/Dockerfile-latest'

How reproducible:
Always

Steps to Reproduce:
1. pull apb images:
  docker.io/ansibleplaybookbundle/apb-tools
2.set alias:
alias apb='docker run --rm --privileged -v $PWD:/mnt -v $HOME/.kube:/root/.kube -v /var/run/docker.sock:/var/run/docker.sock -u $UID docker.io/ansibleplaybookbundle/apb-tools'
3.make a apb or clone from github openshift-ansibe/playbook-bundles
4. apb prepare -f Dockerfile-latest

 Actual results:
 root@dhcp-140-42 tet-prepare]# apb prepare -f Dockerfile-latest
groupadd: GID '0' already exists
usermod: group 'apb' does not exist
Exception occurred! [Errno 2] No such file or directory: '/mnt/Dockerfile-latest'

Expected results:
apb prepare -f works successfully.

Comment 1 Dylan Murray 2018-01-16 17:00:25 UTC
Zhang,

[dymurray@dymurray mediawiki123-apb]$ alias apb-docker='docker run --rm --privileged -v $PWD:/mnt -v $HOME/.kube:/root/.kube -v /var/run/docker.sock:/var/run/docker.sock -u $UID docker.io/ansibleplaybookbundle/apb-tools'
[dymurray@dymurray mediawiki123-apb]$ apb-docker prepare -f Dockerfile-latest 
Finished writing dockerfile.

I was not able to reproduce. Can you make certain you were running `apb prepare` in a directory with `Dockerfile-latest`?

Comment 2 Zhang Cheng 2018-01-17 03:41:12 UTC
Dylan, 
We cannot reproduce this issue either with latest image today. Please change status to "ON_QA", and we will double confirm and verify. Thanks.

Comment 3 Zihan Tang 2018-01-23 03:30:06 UTC
Verified on the latest image, it fixed.

Comment 5 errata-xmlrpc 2018-06-27 18:01:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2013


Note You need to log in before you can comment on or make changes to this bug.